io.vertx.core.json.jackson

## Class VertxModule

- java.lang.Object
- - com.fasterxml.jackson.databind.Module
  - - com.fasterxml.jackson.databind.module.SimpleModule
    - - io.vertx.core.json.jackson.VertxModule

- All Implemented Interfaces:
    Versioned, Serializable

      public class VertxModule
      extends SimpleModule

  A Jackson `Module` to provide following VertX Serializers and Deserializers that can be reused for building custom mappers :
  - `JsonObjectSerializer` of `JsonObject`
  - `JsonArraySerializer` of `JsonArray`
  - `InstantSerializer` and `InstantDeserializer` of `Instant`
  - `ByteArraySerializer` and `ByteArraySerializer` of `byte[]`
  - `BufferSerializer` and `BufferSerializer` of `Buffer`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.Module

      `Module.SetupContext`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.module.SimpleModule

      `_abstractTypes, _deserializerModifier, _deserializers, _hasExplicitName, _keyDeserializers, _keySerializers, _mixins, _name, _namingStrategy, _serializerModifier, _serializers, _subtypes, _valueInstantiators, _version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertxModule()`

  - ### Method Summary

    - ### Methods inherited from class com.fasterxml.jackson.databind.module.SimpleModule

      `_checkNotNull, addAbstractTypeMapping, addDeserializer, addKeyDeserializer, addKeySerializer, addSerializer, addSerializer, addValueInstantiator, getModuleName, getTypeId, registerSubtypes, registerSubtypes, registerSubtypes, setAbstractTypes, setDeserializerModifier, setDeserializers, setKeyDeserializers, setKeySerializers, setMixInAnnotation, setNamingStrategy, setSerializerModifier, setSerializers, setupModule, setValueInstantiators, version`

    - ### Methods inherited from class com.fasterxml.jackson.databind.Module

      `getDependencies`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VertxModule

          public VertxModule()

Copyright © 2021 Eclipse. All rights reserved.